# ReadElement\[A: A\]
<span class="source-link">[[Source]](src/builtin/read_seq.md#L22)</span>

Used to show that a ReadSeq can return an element of a specific unmodified
type.


```pony
interface box ReadElement[A: A]
```

## Public Functions

### apply
<span class="source-link">[[Source]](src/builtin/read_seq.md#L27)</span>


```pony
fun box apply(
  i: USize val)
: A ?
```
#### Parameters

*   i: [USize](builtin-USize) val

#### Returns

* A ?

---

